> For the complete documentation index, see [llms.txt](https://developers.epiqai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.epiqai.com/api-reference/cases.md).

# Cases

List and inspect cases visible to your API key. Cases are the top-level workspace unit — every document, collection, and chat is scoped to one case.

## GET /v1/cases

> List cases.

```json
{"openapi":"3.1.0","info":{"title":"AIDA Public API","version":"1.0.0"},"tags":[{"name":"Cases","description":"List and inspect cases visible to your API key. Cases are the top-level workspace unit — every document, collection, and chat is scoped to one case."}],"servers":[{"url":"https://api.epiqai.com","description":"Production"}],"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{},"schemas":{"PublicCaseList":{"properties":{"results":{"items":{"$ref":"#/components/schemas/PublicCase"},"type":"array","title":"Results"},"total_count":{"type":"integer","title":"Total Count"},"offset":{"type":"integer","title":"Offset"},"limit":{"type":"integer","title":"Limit"}},"type":"object","required":["results","total_count","offset","limit"],"title":"PublicCaseList"},"PublicCase":{"properties":{"case_id":{"type":"string","title":"Case Id"},"name":{"type":"string","title":"Name"},"status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"},"case_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Case Type"},"date_created":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Date Created"},"date_updated":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Date Updated"}},"type":"object","required":["case_id","name"],"title":"PublicCase"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/cases":{"get":{"tags":["Cases"],"summary":"List cases.","operationId":"get_cases_v1_cases_get","parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Case-name substring search.","title":"Q"},"description":"Case-name substring search."},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Filter by status.","title":"Status"},"description":"Filter by status."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicCaseList"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.epiqai.com/api-reference/cases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
